JUCE: ComponentListener Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComponentListener Class Reference
juce_gui_basics » components

Gets informed about changes to a component's hierarchy or position. More...

`#include <juce_ComponentListener.h>`

Inheritance diagram for ComponentListener:

## Public Member Functions
virtual | ~ComponentListener ()=default
| Destructor.
virtual void | componentMovedOrResized (Component &component, bool wasMoved, bool wasResized)
| Called when the component's position or size changes.
virtual void | componentBroughtToFront (Component &component)
| Called when the component is brought to the top of the z-order.
virtual void | componentVisibilityChanged (Component &component)
| Called when the component is made visible or invisible.
virtual void | componentChildrenChanged (Component &component)
| Called when the component has children added or removed, or their z-order changes.
virtual void | componentParentHierarchyChanged (Component &component)
| Called to indicate that the component's parents have changed.
virtual void | componentNameChanged (Component &component)
| Called when the component's name is changed.
virtual void | componentBeingDeleted (Component &component)
| Called when the component is in the process of being deleted.
virtual void | componentEnablementChanged (Component &component)

## Detailed Description

Gets informed about changes to a component's hierarchy or position.

To monitor a component for changes, register a subclass of ComponentListener with the component using Component::addComponentListener().

Be sure to deregister listeners before you delete them!

See also
  Component::addComponentListener, Component::removeComponentListener

## Constructor & Destructor Documentation

## ◆ ~ComponentListener()

virtual ComponentListener::~ComponentListener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ componentMovedOrResized()

virtual void ComponentListener::componentMovedOrResized | ( | Component & | component,
|  | bool | wasMoved,
|  | bool | wasResized )
| virtual

Called when the component's position or size changes.

Parameters

  component | the component that was moved or resized
  wasMoved | true if the component's top-left corner has just moved
  wasResized | true if the component's width or height has just changed

See also
  Component::setBounds, Component::resized, Component::moved

Reimplemented in ComponentMovementWatcher, Viewport, Label, and RelativeCoordinatePositionerBase.

## ◆ componentBroughtToFront()

virtual void ComponentListener::componentBroughtToFront | ( | Component & | component | ) |
| virtual

Called when the component is brought to the top of the z-order.

Parameters

  component | the component that was moved

See also
  Component::toFront, Component::broughtToFront

## ◆ componentVisibilityChanged()

virtual void ComponentListener::componentVisibilityChanged | ( | Component & | component | ) |
| virtual

Called when the component is made visible or invisible.

Parameters

  component | the component that changed

See also
  Component::setVisible

Reimplemented in ComponentMovementWatcher, and Label.

## ◆ componentChildrenChanged()

virtual void ComponentListener::componentChildrenChanged | ( | Component & | component | ) |
| virtual

Called when the component has children added or removed, or their z-order changes.

Parameters

  component | the component whose children have changed

See also
  Component::childrenChanged, Component::addChildComponent, Component::removeChildComponent

Reimplemented in RelativeCoordinatePositionerBase.

## ◆ componentParentHierarchyChanged()

virtual void ComponentListener::componentParentHierarchyChanged | ( | Component & | component | ) |
| virtual

Called to indicate that the component's parents have changed.

When a component is added or removed from its parent, all of its children will produce this notification (recursively - so all children of its children will also be called as well).

Parameters

  component | the component that this listener is registered with

See also
  Component::parentHierarchyChanged

Reimplemented in ComponentMovementWatcher, RelativeCoordinatePositionerBase, Label, and VBlankAttachment.

## ◆ componentNameChanged()

virtual void ComponentListener::componentNameChanged | ( | Component & | component | ) |
| virtual

Called when the component's name is changed.

Parameters

  component | the component that had its name changed

See also
  Component::setName, Component::getName

Reimplemented in MultiDocumentPanel.

## ◆ componentBeingDeleted()

virtual void ComponentListener::componentBeingDeleted | ( | Component & | component | ) |
| virtual

Called when the component is in the process of being deleted.

This callback is made from inside the destructor, so be very, very cautious about what you do in here.

In particular, bear in mind that it's the Component base class's destructor that calls this - so if the object that's being deleted is a subclass of Component, then the subclass layers of the object will already have been destructed when it gets to this point!

Parameters

  component | the component that was deleted

Reimplemented in ComponentMovementWatcher, and RelativeCoordinatePositionerBase.

## ◆ componentEnablementChanged()

virtual void ComponentListener::componentEnablementChanged | ( | Component & | component | ) |
| virtual

The documentation for this class was generated from the following file:

- juce_ComponentListener.h